com.google.appengine.api.users.dev

## Class LocalUserService

- java.lang.Object
- - AbstractLocalRpcService
  - - com.google.appengine.api.users.dev.LocalUserService

-     @ServiceProvider(value=)
      public final class LocalUserService
      extends AbstractLocalRpcService

  creates URLs that point to `LocalLoginServlet` and `LocalLogoutServlet` when used within the Development AppServer environment. There is a known discrepancy between this implementation and the production implementation. The production version will throw a `ApiProxy.ApplicationException` with `applicationError` set to `UserServicePb.UserServiceError.ErrorCode#REDIRECT_URL_TOO_LONG` when the url passed to `createLoginURL(Status, CreateLoginURLRequest)` or `createLogoutURL(Status, CreateLogoutURLRequest)` is too long. This implementation does not perform this check and therefore never returns this error.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `OAUTH_AUTH_DOMAIN_PROPERTY`
    `static java.lang.String` | `OAUTH_CONSUMER_KEY_PROPERTY`
    `static java.lang.String` | `OAUTH_EMAIL_PROPERTY`
    `static java.lang.String` | `OAUTH_IS_ADMIN_PROPERTY`
    `static java.lang.String` | `OAUTH_USER_ID_PROPERTY`
    `static java.lang.String` | `PACKAGE` The package name for this service.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalUserService()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CheckOAuthSignatureResponse` | `checkOAuthSignature(Status status, CheckOAuthSignatureRequest request)`
    `CreateLoginURLResponse` | `createLoginURL(Status status, CreateLoginURLRequest request)`
    `CreateLogoutURLResponse` | `createLogoutURL(Status status, CreateLogoutURLRequest request)`
    `GetOAuthUserResponse` | `getOAuthUser(Status status, GetOAuthUserRequest request)`
    `java.lang.String` | `getPackage()`
    `void` | `init(LocalServiceContext context, java.util.Map<java.lang.String,java.lang.String> properties)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OAUTH_CONSUMER_KEY_PROPERTY

          public static final java.lang.String OAUTH_CONSUMER_KEY_PROPERTY

      See Also:
        Constant Field Values

    - #### OAUTH_EMAIL_PROPERTY

          public static final java.lang.String OAUTH_EMAIL_PROPERTY

      See Also:
        Constant Field Values

    - #### OAUTH_USER_ID_PROPERTY

          public static final java.lang.String OAUTH_USER_ID_PROPERTY

      See Also:
        Constant Field Values

    - #### OAUTH_AUTH_DOMAIN_PROPERTY

          public static final java.lang.String OAUTH_AUTH_DOMAIN_PROPERTY

      See Also:
        Constant Field Values

    - #### OAUTH_IS_ADMIN_PROPERTY

          public static final java.lang.String OAUTH_IS_ADMIN_PROPERTY

      See Also:
        Constant Field Values

    - #### PACKAGE

          public static final java.lang.String PACKAGE

      The package name for this service.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LocalUserService

          public LocalUserService()

  - ### Method Detail

    - #### createLoginURL

          public CreateLoginURLResponse createLoginURL(Status status,
                                              CreateLoginURLRequest request)

    - #### createLogoutURL

          public CreateLogoutURLResponse createLogoutURL(Status status,
                                                CreateLogoutURLRequest request)

    - #### checkOAuthSignature

          public CheckOAuthSignatureResponse checkOAuthSignature(Status status,
                                                        CheckOAuthSignatureRequest request)

    - #### getOAuthUser

          public GetOAuthUserResponse getOAuthUser(Status status,
                                          GetOAuthUserRequest request)

    - #### getPackage

          public java.lang.String getPackage()

    - #### init

          public void init(LocalServiceContext context,
                  java.util.Map<java.lang.String,java.lang.String> properties)

    - #### start

          public void start()

    - #### stop

          public void stop()